Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portlet.util
Class Constants

    java.lang.Object
      com.endeca.portlet.util.Constants

    public class Constants

extends java.lang.Object

Field Summary
`static java.lang.String` | `ACTION_DEEP_LINK`
`static java.lang.String` | `ACTION_PAGE_TRANSITION`
`static java.lang.String` | `ACTION_SHOW_DETAIL_VIEW`
`static java.lang.String` | `ACTION_UPDATE_DATA_SOURCE_BINDING`
`static java.lang.String` | `CONFIG_PARAMETER_CONTAINER`
`static java.lang.String` | `CONFIG_PARAMETER_CORDA_EXTERNAL_URL`
`static java.lang.String` | `CONFIG_PARAMETER_CORDA_INTERNAL_URL`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE_CHANGED`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE_DEFAULT`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE_DEFAULT_SETTING`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE_HEALTH_CHECK_TIMEOUT`
`static java.lang.String` | `CONFIG_PARAMETER_DATA_SOURCE_POLLING_INTERVAL`
`static java.lang.String` | `CONFIG_PARAMETER_DEEP_LINK_PORTLET_NAME`
`static java.lang.String` | `CONFIG_PARAMETER_FRAMEWORK_SCHEMA_VERSION`
`static java.lang.String` | `CONFIG_PARAMETER_FRAMEWORK_VERSION`
`static java.lang.String` | `CONFIG_PARAMETER_MAX_EXPORT_ANALYTIC_RECS`
`static java.lang.String` | `CONFIG_PARAMETER_MAX_EXPORT_BASE_RECS`
`static java.lang.String` | `CONFIG_PARAMETER_MDEX_CACHE_MANAGER`
`static java.lang.String` | `CONFIG_PARAMETER_MDEX_SECURITY_MANAGER`
`static java.lang.String` | `CONFIG_PARAMETER_MDEX_STATE_MANAGER`
`static java.lang.String` | `CONFIG_PARAMETER_METADATA_CACHE_ENABLED`
`static java.lang.String` | `DEFAULT_V7_DIMENSION_ROOT_DVAL_SPEC`
`static java.lang.String` | `EVENT_ANALYTICS_DETAIL_VIEW`
`static java.lang.String` | `EVENT_CREATE_ENDECA_BOOKMARK`
`static java.lang.String` | `EVENT_DATASOURCE_NAMESPACE`
`static java.lang.String` | `EVENT_DETAIL_VIEW`
`static java.lang.String` | `EVENT_LOAD_ENDECA_BOOKMARK`
`static java.lang.String` | `EVENT_NAMESPACE`
`static java.lang.String` | `FALSE_STRING`
`static java.lang.String` | `MDEX_QUERY_REQUEST_TOKEN`
`static java.lang.String` | `MDEX_QUERY_SESSION_TOKEN`
`static java.lang.String` | `METADATA_ATTRIBUTE_DISPLAY_NAME`
`static java.lang.String` | `METADATA_ATTRIBUTE_SET_NAME`
`static java.lang.String` | `METADATA_ATTRIBUTE_SET_POSITION_SUFFIX`
`static java.lang.String` | `MIME_TYPE_JSON`
`static java.lang.String` | `PORTLET_LIFECYCLE_PROCESS_ACTION`
`static java.lang.String` | `PORTLET_LIFECYCLE_RENDER`
`static java.lang.String` | `REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE`
`static java.lang.String` | `REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE_EVENT_NAME`
`static java.lang.String` | `REQUEST_ATTRIBUTE_DEFER_RENDERING`
`static java.lang.String` | `REQUEST_ATTRIBUTE_DEFERRED_EVENTS`
`static java.lang.String` | `REQUEST_ATTRIBUTE_ENDECA_QUERY`
`static java.lang.String` | `REQUEST_ATTRIBUTE_ENDECA_QUERY_RESULTS`
`static java.lang.String` | `REQUEST_ATTRIBUTE_EXISTING_DATA_SOURCE_MAP`
`static java.lang.String` | `REQUEST_ATTRIBUTE_PORTAL_CONTEXT`
`static java.lang.String` | `REQUEST_ATTRIBUTE_PROCESSING_EVENTS`
`static java.lang.String` | `REQUEST_ATTRIBUTE_PUBLISHED_EVENTS`
`static java.lang.String` | `REQUEST_PARAMETER_ATTRIBUTE_NAME`
`static java.lang.String` | `REQUEST_PARAMETER_ATTRIBUTE_VALUE`
`static java.lang.String` | `REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS`
`static java.lang.String` | `REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS_MSG`
`static java.lang.String` | `REQUEST_PARAMETER_DATA_SOURCE_STATUS`
`static java.lang.String` | `REQUEST_PARAMETER_DATA_SOURCE_STATUS_MSG`
`static java.lang.String` | `REQUEST_PARAMETER_DEEP_LINK`
`static java.lang.String` | `REQUEST_PARAMETER_PORTLET_RENDER_STATUS`
`static java.lang.String` | `REQUEST_PARAMETER_PORTLET_RENDER_STATUS_MSG`
`static java.lang.String` | `REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS`
`static java.lang.String` | `REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS_MSG`
`static java.lang.String` | `REQUEST_PARAMETER_SESSION_ATTRIBUTES`
`static java.lang.String` | `REQUEST_PARAMETER_VIEW_TRANSITION_PAGE_CONTEXT`
`static java.lang.String` | `REQUEST_PARAMETER_VIEW_TRANSITION_TAB_STATE`
`static java.lang.String` | `RESOURCE_BUNDLE_ENDECA_PORTAL_CONFIG`
`static java.lang.String` | `RESOURCE_SET_SESSION_STATE`
`static java.lang.String` | `SAVE_PREFERENCES_STATUS_ERROR`
`static java.lang.String` | `SAVE_PREFERENCES_STATUS_SUCCESS`
`static java.lang.String` | `SESSION_ATTRIBUTE_DF_DEFERRED_LOGIN`
`static java.lang.String` | `SESSION_ATTRIBUTE_DF_LOGIN`
`static java.lang.String` | `SESSION_ATTRIBUTE_LIFERAY_SESSION_ERRORS`
`static java.lang.String` | `SESSION_ATTRIBUTE_LIFERAY_SESSION_MESSAGES`
`static java.lang.String` | `SESSION_ATTRIBUTE_PUBLISHED_EVENTS`
`static java.lang.String` | `SESSION_ATTRIBUTE_QUERY_OPERATORS`
`static java.lang.String` | `SESSION_ATTRIBUTE_RENDER_PARAMETERS`
`static java.lang.String` | `SESSION_ATTRIBUTE_USER_SESSION_OBJ`
`static java.lang.String` | `STATUS_ERROR`
`static java.lang.String` | `STATUS_INFO`
`static java.lang.String` | `STATUS_SUCCESS`
`static java.lang.String` | `TRUE_STRING`
`static java.lang.String` | `VIEW_TRANSITION_DEFAULT_CONTEXT`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_BUNDLE_ENDECA_PORTAL_CONFIG

    public static final java.lang.String RESOURCE_BUNDLE_ENDECA_PORTAL_CONFIG

See Also:
  Constant Field Values

### CONFIG_PARAMETER_CONTAINER

    public static final java.lang.String CONFIG_PARAMETER_CONTAINER

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE_CHANGED

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE_CHANGED

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE_DEFAULT_SETTING

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE_DEFAULT_SETTING

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE_DEFAULT

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE_DEFAULT

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE_POLLING_INTERVAL

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE_POLLING_INTERVAL

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DATA_SOURCE_HEALTH_CHECK_TIMEOUT

    public static final java.lang.String CONFIG_PARAMETER_DATA_SOURCE_HEALTH_CHECK_TIMEOUT

See Also:
  Constant Field Values

### CONFIG_PARAMETER_MDEX_STATE_MANAGER

    public static final java.lang.String CONFIG_PARAMETER_MDEX_STATE_MANAGER

See Also:
  Constant Field Values

### CONFIG_PARAMETER_MDEX_SECURITY_MANAGER

    public static final java.lang.String CONFIG_PARAMETER_MDEX_SECURITY_MANAGER

See Also:
  Constant Field Values

### CONFIG_PARAMETER_MDEX_CACHE_MANAGER

    public static final java.lang.String CONFIG_PARAMETER_MDEX_CACHE_MANAGER

See Also:
  Constant Field Values

### CONFIG_PARAMETER_DEEP_LINK_PORTLET_NAME

    public static final java.lang.String CONFIG_PARAMETER_DEEP_LINK_PORTLET_NAME

See Also:
  Constant Field Values

### CONFIG_PARAMETER_METADATA_CACHE_ENABLED

    public static final java.lang.String CONFIG_PARAMETER_METADATA_CACHE_ENABLED

See Also:
  Constant Field Values

### CONFIG_PARAMETER_FRAMEWORK_VERSION

    public static final java.lang.String CONFIG_PARAMETER_FRAMEWORK_VERSION

See Also:
  Constant Field Values

### CONFIG_PARAMETER_FRAMEWORK_SCHEMA_VERSION

    public static final java.lang.String CONFIG_PARAMETER_FRAMEWORK_SCHEMA_VERSION

See Also:
  Constant Field Values

### CONFIG_PARAMETER_MAX_EXPORT_BASE_RECS

    public static final java.lang.String CONFIG_PARAMETER_MAX_EXPORT_BASE_RECS

See Also:
  Constant Field Values

### CONFIG_PARAMETER_MAX_EXPORT_ANALYTIC_RECS

    public static final java.lang.String CONFIG_PARAMETER_MAX_EXPORT_ANALYTIC_RECS

See Also:
  Constant Field Values

### CONFIG_PARAMETER_CORDA_INTERNAL_URL

    public static final java.lang.String CONFIG_PARAMETER_CORDA_INTERNAL_URL

See Also:
  Constant Field Values

### CONFIG_PARAMETER_CORDA_EXTERNAL_URL

    public static final java.lang.String CONFIG_PARAMETER_CORDA_EXTERNAL_URL

See Also:
  Constant Field Values

### METADATA_ATTRIBUTE_DISPLAY_NAME

    public static final java.lang.String METADATA_ATTRIBUTE_DISPLAY_NAME

See Also:
  Constant Field Values

### METADATA_ATTRIBUTE_SET_NAME

    public static final java.lang.String METADATA_ATTRIBUTE_SET_NAME

See Also:
  Constant Field Values

### METADATA_ATTRIBUTE_SET_POSITION_SUFFIX

    public static final java.lang.String METADATA_ATTRIBUTE_SET_POSITION_SUFFIX

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_USER_SESSION_OBJ

    public static final java.lang.String SESSION_ATTRIBUTE_USER_SESSION_OBJ

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_PUBLISHED_EVENTS

    public static final java.lang.String SESSION_ATTRIBUTE_PUBLISHED_EVENTS

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_RENDER_PARAMETERS

    public static final java.lang.String SESSION_ATTRIBUTE_RENDER_PARAMETERS

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_QUERY_OPERATORS

    public static final java.lang.String SESSION_ATTRIBUTE_QUERY_OPERATORS

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_LIFERAY_SESSION_ERRORS

    public static final java.lang.String SESSION_ATTRIBUTE_LIFERAY_SESSION_ERRORS

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_LIFERAY_SESSION_MESSAGES

    public static final java.lang.String SESSION_ATTRIBUTE_LIFERAY_SESSION_MESSAGES

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_DF_LOGIN

    public static final java.lang.String SESSION_ATTRIBUTE_DF_LOGIN

See Also:
  Constant Field Values

### SESSION_ATTRIBUTE_DF_DEFERRED_LOGIN

    public static final java.lang.String SESSION_ATTRIBUTE_DF_DEFERRED_LOGIN

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_EXISTING_DATA_SOURCE_MAP

    public static final java.lang.String REQUEST_ATTRIBUTE_EXISTING_DATA_SOURCE_MAP

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE

    public static final java.lang.String REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE_EVENT_NAME

    public static final java.lang.String REQUEST_ATTRIBUTE_CURRENT_DATA_SOURCE_EVENT_NAME

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_ENDECA_QUERY

    public static final java.lang.String REQUEST_ATTRIBUTE_ENDECA_QUERY

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_ENDECA_QUERY_RESULTS

    public static final java.lang.String REQUEST_ATTRIBUTE_ENDECA_QUERY_RESULTS

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_PROCESSING_EVENTS

    public static final java.lang.String REQUEST_ATTRIBUTE_PROCESSING_EVENTS

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_PUBLISHED_EVENTS

    public static final java.lang.String REQUEST_ATTRIBUTE_PUBLISHED_EVENTS

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_DEFERRED_EVENTS

    public static final java.lang.String REQUEST_ATTRIBUTE_DEFERRED_EVENTS

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_PORTAL_CONTEXT

    public static final java.lang.String REQUEST_ATTRIBUTE_PORTAL_CONTEXT

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_DEFER_RENDERING

    public static final java.lang.String REQUEST_ATTRIBUTE_DEFER_RENDERING

See Also:
  Constant Field Values

### REQUEST_PARAMETER_DATA_SOURCE_STATUS

    public static final java.lang.String REQUEST_PARAMETER_DATA_SOURCE_STATUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER_DATA_SOURCE_STATUS_MSG

    public static final java.lang.String REQUEST_PARAMETER_DATA_SOURCE_STATUS_MSG

See Also:
  Constant Field Values

### REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS

    public static final java.lang.String REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS_MSG

    public static final java.lang.String REQUEST_PARAMETER_DATA_SOURCE_BINDING_STATUS_MSG

See Also:
  Constant Field Values

### REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS

    public static final java.lang.String REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS_MSG

    public static final java.lang.String REQUEST_PARAMETER_SAVE_PREFERENCES_STATUS_MSG

See Also:
  Constant Field Values

### REQUEST_PARAMETER_PORTLET_RENDER_STATUS

    public static final java.lang.String REQUEST_PARAMETER_PORTLET_RENDER_STATUS

See Also:
  Constant Field Values

### REQUEST_PARAMETER_PORTLET_RENDER_STATUS_MSG

    public static final java.lang.String REQUEST_PARAMETER_PORTLET_RENDER_STATUS_MSG

See Also:
  Constant Field Values

### REQUEST_PARAMETER_VIEW_TRANSITION_PAGE_CONTEXT

    public static final java.lang.String REQUEST_PARAMETER_VIEW_TRANSITION_PAGE_CONTEXT

See Also:
  Constant Field Values

### REQUEST_PARAMETER_DEEP_LINK

    public static final java.lang.String REQUEST_PARAMETER_DEEP_LINK

See Also:
  Constant Field Values

### REQUEST_PARAMETER_ATTRIBUTE_NAME

    public static final java.lang.String REQUEST_PARAMETER_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### REQUEST_PARAMETER_ATTRIBUTE_VALUE

    public static final java.lang.String REQUEST_PARAMETER_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### REQUEST_PARAMETER_SESSION_ATTRIBUTES

    public static final java.lang.String REQUEST_PARAMETER_SESSION_ATTRIBUTES

See Also:
  Constant Field Values

### ACTION_UPDATE_DATA_SOURCE_BINDING

    public static final java.lang.String ACTION_UPDATE_DATA_SOURCE_BINDING

See Also:
  Constant Field Values

### ACTION_PAGE_TRANSITION

    public static final java.lang.String ACTION_PAGE_TRANSITION

See Also:
  Constant Field Values

### ACTION_SHOW_DETAIL_VIEW

    public static final java.lang.String ACTION_SHOW_DETAIL_VIEW

See Also:
  Constant Field Values

### ACTION_DEEP_LINK

    public static final java.lang.String ACTION_DEEP_LINK

See Also:
  Constant Field Values

### EVENT_NAMESPACE

    public static final java.lang.String EVENT_NAMESPACE

See Also:
  Constant Field Values

### EVENT_DATASOURCE_NAMESPACE

    public static final java.lang.String EVENT_DATASOURCE_NAMESPACE

See Also:
  Constant Field Values

### EVENT_DETAIL_VIEW

    public static final java.lang.String EVENT_DETAIL_VIEW

See Also:
  Constant Field Values

### EVENT_ANALYTICS_DETAIL_VIEW

    public static final java.lang.String EVENT_ANALYTICS_DETAIL_VIEW

See Also:
  Constant Field Values

### EVENT_CREATE_ENDECA_BOOKMARK

    public static final java.lang.String EVENT_CREATE_ENDECA_BOOKMARK

See Also:
  Constant Field Values

### EVENT_LOAD_ENDECA_BOOKMARK

    public static final java.lang.String EVENT_LOAD_ENDECA_BOOKMARK

See Also:
  Constant Field Values

### RESOURCE_SET_SESSION_STATE

    public static final java.lang.String RESOURCE_SET_SESSION_STATE

See Also:
  Constant Field Values

### STATUS_SUCCESS

    public static final java.lang.String STATUS_SUCCESS

See Also:
  Constant Field Values

### STATUS_ERROR

    public static final java.lang.String STATUS_ERROR

See Also:
  Constant Field Values

### STATUS_INFO

    public static final java.lang.String STATUS_INFO

See Also:
  Constant Field Values

### SAVE_PREFERENCES_STATUS_SUCCESS

    public static final java.lang.String SAVE_PREFERENCES_STATUS_SUCCESS

See Also:
  Constant Field Values

### SAVE_PREFERENCES_STATUS_ERROR

    public static final java.lang.String SAVE_PREFERENCES_STATUS_ERROR

See Also:
  Constant Field Values

### VIEW_TRANSITION_DEFAULT_CONTEXT

    public static final java.lang.String VIEW_TRANSITION_DEFAULT_CONTEXT

See Also:
  Constant Field Values

### REQUEST_PARAMETER_VIEW_TRANSITION_TAB_STATE

    public static final java.lang.String REQUEST_PARAMETER_VIEW_TRANSITION_TAB_STATE

See Also:
  Constant Field Values

### MIME_TYPE_JSON

    public static final java.lang.String MIME_TYPE_JSON

See Also:
  Constant Field Values

### MDEX_QUERY_SESSION_TOKEN

    public static final java.lang.String MDEX_QUERY_SESSION_TOKEN

See Also:
  Constant Field Values

### MDEX_QUERY_REQUEST_TOKEN

    public static final java.lang.String MDEX_QUERY_REQUEST_TOKEN

See Also:
  Constant Field Values

### FALSE_STRING

    public static final java.lang.String FALSE_STRING

### TRUE_STRING

    public static final java.lang.String TRUE_STRING

### DEFAULT_V7_DIMENSION_ROOT_DVAL_SPEC

    public static final java.lang.String DEFAULT_V7_DIMENSION_ROOT_DVAL_SPEC

See Also:
  Constant Field Values

### PORTLET_LIFECYCLE_RENDER

    public static final java.lang.String PORTLET_LIFECYCLE_RENDER

See Also:
  Constant Field Values

### PORTLET_LIFECYCLE_PROCESS_ACTION

    public static final java.lang.String PORTLET_LIFECYCLE_PROCESS_ACTION

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD